## abiword 2.9.2+svn20120603

=== debian/changelog ===
abiword (2.9.2+svn20120603-8) unstable; urgency=medium

  * new backported patch to fix yet another crash on open .DOC files.

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Fri, 05 Oct 2012 10:54:53 +1000

abiword (2.9.2+svn20120603-7) unstable; urgency=low

  * new backported patches:
    + r31854_bug-13397-RTF-import-fix-missing-text.patch
      to fix missing numbers in beginning of lines on RTF/DOC import
      (Closes: #688552).
    + r31855_gtk3-bug-13405.patch
    + r31877_start-layout-only-after-document-is-fully-loaded.patch
    - removed unused (duplicate) patch file.

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Mon, 24 Sep 2012 11:10:44 +1000

abiword (2.9.2+svn20120603-6) unstable; urgency=low

  * debian/watch to find all available versions with fallback to latest-dev.
  * new patch to fix collab backend if built --with-gtk2 and to fix FTBFS
    without libgtk-3-dev (finally abiword can be built for GTK2).
  * new backported patches:
    + r31861_fix-FTBFS-with-fake-collab-backend.patch
    + r31901_fix-crash-on-open-doc-with-table-in-header.patch
    + r31909_fix-doc-corruption.patch
    + r31910_fix-memory-leak-in-ABW-exporter.patch
    + r31914_fix-clip-art-window.patch (Closes: #672150)
  * beautified list of Build-Depends.
  * libchamplain-gtk-0.12-dev (optional build-dependency) is added to
    Build-Depends (commented, to conform with freeze policy).

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Thu, 13 Sep 2012 13:08:48 +1000

abiword (2.9.2+svn20120603-5) unstable; urgency=low

  * xz compression for binary packages.
  * new backported patch to fix gtk3 presentation (Closes: #682613).

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Thu, 30 Aug 2012 13:24:15 +1000

abiword (2.9.2+svn20120603-4) unstable; urgency=low

  * new backported patches:
    + r31490_fix-crash-if-inserting-a-footnote.patch
    + r31566_rearrange-date-and-time-formats.patch
    + r31576_remove-separator-from-insert-dialogs.patch
    + r31748_fix-crash-with-copy-paste.patch
    + r31749_fix-bug-with-copy-paste.patch
    + r31753_fix-crash-on-paste.patch
    + r31755_fix-crash-with-create-and-modify-styles-dialog.patch
    + r31767_fix-possible-crash.patch
    + r31768_correct-horizontal-scroll-limit.patch
    + r31842_fix-crash-13401.patch
    + r31843_prevent-crash.patch
    + r31847_fix-program-hanging-during-paste-unformatted.patch
  * old backported patches are renamed to have revision number in file name.
  * lintian-override for 'no-symbols-control-file' (not useful for CPP).

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Fri, 24 Aug 2012 11:09:56 +1000

abiword (2.9.2+svn20120603-3) unstable; urgency=low

  * Replace no-dbl-buf.patch with backported fix-dbl-buff.patch
    to fix 'Paste Unformatted' and re-enable double buffering.

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Fri, 17 Aug 2012 20:16:51 +1000

abiword (2.9.2+svn20120603-2) unstable; urgency=low

  * build verbosity increased with --disable-silent-rules
  * lintian-overrides:
    + 'hardening-no-fortify-functions' (false-positives).
    + 'dev-pkg-without-shlib-symlink' (libabiword-2.9.so is a library,
      not a symlink).
  * new patches:
    + format-hardening.patch to avoid FTBFS on --with-gtk2 build.
    + fix-wheel-scrolling.patch (Closes: #672149).
    + fix-paste.patch (backported) with fix for
      "Crash on unicode character paste" (Closes: #681060).
    + no-dbl-buf.patch to disable double buffering in order to prevent
      crash on 'Paste Unformatted'.

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Fri, 17 Aug 2012 11:08:23 +1000

abiword (2.9.2+svn20120603-1) unstable; urgency=low

  * New upstream version based on 'trunk' r31326 as of 2012-06-02
    + updated man page
    + updated translations
    + fixed crash on text selection (Closes: #672412)
    + fixed crash with 'borders and shading' (Closes: #672148)
  * depends on 'fonts-lyx' instead of transitional 'ttf-lyx'
    (Closes: #674820)
  * dropped debian/copyright.hints and its generation code
  * new patch to avoid FTBFS in 'grammar' plugin
  * minor make-clean.patch update
  * Debian source compression to .xz
  * DM-Upload-Allowed: yes! (Thanks to Aron Xu)

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Wed, 06 Jun 2012 03:37:53 +1000

abiword (2.9.2+svn20120406-1) unstable; urgency=low

  * New upstream version based on 'trunk' r30779 as of 2012-04-05
    (Closes: #666491 N:"document totally crashes abiword...")
    • dropped FTBFS-regression.patch (applied-upstream)
    • dropped gnomeoffice-url.patch (applied-upstream)
  * d-rules: get correct number of CPUs for parallel build on Linux
    (Closes: #665853 W:"Build process not is paralleled on some Linux
     architectures")
  * minor update to get-orig-source to produce cleaner ©.hints file

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Sat, 07 Apr 2012 14:40:54 +1000
