=== debian/watch ===
# uscan(1) configuration file.
# Use 'debian/rules get-orig-source' command to generate orig archive.

version=3

## all versions
opts=\
dversionmangle=s/\+svn\d+//,\
downloadurlmangle=s/([0-9.]+)\//$1\/source\/abiword-$1\.tar\.gz/,\
filenamemangle=s/.*/orig.tar.gz/,\
 http://www.abisource.com/downloads/abiword/ ([0-9.]+)\/

## latest-dev version
opts=dversionmangle=s/\+svn\d+// \
http://www.abisource.com/downloads/abiword/latest-dev/source/abiword-([\d\.]+)\.tar\.gz
