## abiword 3.0.0~svn20130523

=== debian/changelog ===
abiword (3.0.0~svn20130523-1ubuntu2) saucy; urgency=low

  * No-change rebuild against latest libical

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 21 Jun 2013 13:49:10 -0400

abiword (3.0.0~svn20130523-1ubuntu1) saucy; urgency=low

  * debian/patches/build-with-eds-3-6.patch:
    - Build with evolution-data-server >= 3.6 

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 02 Jun 2013 16:28:33 -0400

abiword (3.0.0~svn20130523-1) experimental; urgency=low

  * New upstream pre-release [r33076].
  * Dropped all backported patches.
  * Dropped unused lintian-overrides.
  * Removed obsolete "DM-Upload-Allowed" field.
  * Build-Depends:
    + libchamplain-gtk-0.12-dev
    + libebook1.2-dev
    + libecal1.2-dev
    + libgoffice-0.10-dev (>= 0.10.2)
  * Standards to version 3.9.4.
  * Updated copyright, added translator's copyrights.
  * Updated and improved rules and get-orig-source
    + added pre-build check for library version.
    + build "--with-goffice" and "goffice" plugin.
  * Replaced "-2.9" with "-*" in install paths.
  * Updated my email address; bumped copyright years.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 01 Jun 2013 15:04:42 +1000
