=== debian/control ===
--- 
+++ 
@@ -1,16 +1,22 @@
 Source: abiword
 Section: gnome
 Priority: optional
-Maintainer: Dmitry Smirnov <onlyjob@member.fsf.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Dmitry Smirnov <onlyjob@debian.org>
 Build-Depends: debhelper (>= 9), dh-autoreconf, quilt, imagemagick
  ,bison
  ,flex
+# ,gobject-introspection
+#  ,libgirepository1.0-dev
  ,libaiksaurus-1.2-dev
  ,libaiksaurusgtk-1.2-dev
  ,libasio-dev
-# ,libchamplain-gtk-0.12-dev
+ ,libchamplain-gtk-0.12-dev
+ ,libebook1.2-dev
+ ,libecal1.2-dev
  ,libenchant-dev
  ,libfribidi-dev
+ ,libgoffice-0.10-dev (>= 0.10.2)
  ,libgtk2.0-dev
  ,libglib2.0-dev
  ,libgtk-3-dev
@@ -32,14 +38,13 @@
  ,libwv-dev
  ,libxslt1-dev
 # subversion is used by get-orig-source
- ,subversion, subversion-tools
+ ,subversion, svn2cl | subversion-tools (<< 1.7.5)
 # valgrind is only used in post-build tests, enable on available architectures
  ,valgrind [amd64 armel armhf i386 powerpc]
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://www.abisource.com/
-VCS-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/abiword.git
-VCS-Git: git://anonscm.debian.org/collab-maint/abiword.git
-DM-Upload-Allowed: yes
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/abiword.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/abiword.git
 
 Package: abiword-common
 Section: editors
@@ -96,7 +101,7 @@
  This package contains an equation editing system for AbiWord
  documents.
 
-Package: libabiword-2.9
+Package: libabiword-3.0
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -110,10 +115,10 @@
  This package contains the shared library, enabling other applications to
  integrate AbiWord functionality.
 
-Package: libabiword-2.9-dev
+Package: libabiword-3.0-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libabiword-2.9 (= ${binary:Version})
+Depends: ${misc:Depends}, libabiword-3.0 (= ${binary:Version})
  ,libfribidi-dev ,libglib2.0-dev ,libgsf-1-dev ,libwv-dev ,libenchant-dev ,librdf0-dev
  ,librasqal3-dev ,libcairo2-dev ,libpango1.0-dev ,libgtk-3-dev ,librsvg2-dev
 Description: efficient, featureful word processor with collaboration -- development files
@@ -122,7 +127,17 @@
  is extensible with a variety of plugins.
  .
  This package contains development files for software linking against
- libabiword-2.9.
+ libabiword-3.0.
+
+#Package: gir1.2-abiword-3.0
+#Section: introspection
+#Architecture: any
+#Depends: ${gir:Depends}, ${misc:Depends}
+#Description: GObject introspection data for libabiword
+# This package contains introspection data for libabiword.
+# .
+# It can be used by packages using the GIRepository format to generate
+# dynamic bindings.
 
 Package: abiword-dbg
 Section: debug
