## abiword 3.0.0

=== debian/changelog ===
abiword (3.0.0-4ubuntu1) trusty; urgency=medium

  * New backported patches:
     + r33663_fix-crash-when-saving-as-pdf.patch (LP: #1262375)
     + r33871_fix-redraw-region-in-custom-widget.patch (LP: #1261203)
  * New patch to fix icon path in about dialog (LP: #1299582).

 -- Thaddäus Tintenfisch <thad.fisch@gmail.com>  Sat, 12 Apr 2014 11:49:49 +0200

abiword (3.0.0-4) unstable; urgency=medium

  * New patch to fix FTBFS with libboost1.54 (Closes: #737551).

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 06 Feb 2014 04:25:45 +1100

abiword (3.0.0-3) unstable; urgency=medium

  * Upload to unstable (Closes: #677402, #705145).
  * New patch to fix FTBFS with bison v3 (Closes: #733391).

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 02 Feb 2014 20:49:49 +1100

abiword (3.0.0-2) experimental; urgency=low

  * No longer Build-Depends on "valgrind" on "armel" (Closes: #729137).

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 25 Nov 2013 08:11:33 +1100

abiword (3.0.0-1) experimental; urgency=low

  * New upstream stable release [October 2013].
  * Transition: evolution-data-server (Closes: #722030)
    + new "evolution-data-server3.8.patch".
    + versioned Build-Deps:
      + libebook1.2-dev (>= 3.8.5)
      + libecal1.2-dev (>= 3.8.5)
    Thanks, Michael Biebl.
  * "debian/watch": no longer check development releases.
  * "debian/rules":
    + better checking for library name
    + adaptive dh-clean to facilitate build from source archive and from
      repository checkout.
    + export LDFLAGS using DEB_LDFLAGS_MAINT_APPEND.
  * Removed libgoffice note from README.Debian as abiword is linked with
    libgoffice again.

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 22 Oct 2013 15:38:08 +1100

abiword (3.0.0~svn20130523-2) experimental; urgency=low

  * Re-build to facilitate "libcogl" transition (Closes: #721196).
  * libabiword-3.0-dev: added missing Depends (Closes: #711088).
  * (Build-)Depends:
    + versioned depends only when required.
    + sort and update.
  * Added lintian-override for "library-not-linked-against-libc"
    in plugins.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 01 Sep 2013 03:55:10 +1000
