=== debian/control ===
--- 
+++ 
@@ -12,11 +12,11 @@
  ,libaiksaurusgtk-1.2-dev
  ,libasio-dev
  ,libchamplain-gtk-0.12-dev
- ,libebook1.2-dev
- ,libecal1.2-dev
+ ,libebook1.2-dev (>= 3.8.5)
+ ,libecal1.2-dev (>= 3.8.5)
  ,libenchant-dev
  ,libfribidi-dev
- ,libgoffice-0.10-dev (>= 0.10.2)
+ ,libgoffice-0.10-dev
  ,libgtk2.0-dev
  ,libglib2.0-dev
  ,libgtk-3-dev
@@ -36,11 +36,11 @@
  ,libwpg-dev
  ,libwps-dev
  ,libwv-dev
- ,libxslt1-dev
+ ,libxslt-dev | libxslt1-dev
 # subversion is used by get-orig-source
  ,subversion, svn2cl | subversion-tools (<< 1.7.5)
 # valgrind is only used in post-build tests, enable on available architectures
- ,valgrind [amd64 armel armhf i386 powerpc]
+ ,valgrind [amd64 armhf i386 powerpc]
 Standards-Version: 3.9.4
 Homepage: http://www.abisource.com/
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/abiword.git
@@ -119,8 +119,23 @@
 Section: libdevel
 Architecture: any
 Depends: ${misc:Depends}, libabiword-3.0 (= ${binary:Version})
- ,libfribidi-dev ,libglib2.0-dev ,libgsf-1-dev ,libwv-dev ,libenchant-dev ,librdf0-dev
- ,librasqal3-dev ,libcairo2-dev ,libpango1.0-dev ,libgtk-3-dev ,librsvg2-dev
+        ,libcairo-dev | libcairo2-dev
+        ,libebook1.2-dev
+        ,libenchant-dev
+        ,libecal1.2-dev
+        ,libfribidi-dev
+        ,libglib2.0-dev
+        ,libgoffice-0.10-dev
+        ,libgsf-1-dev
+        ,libgtk-3-dev
+        ,libical-dev (>= 0.46)
+        ,libpango1.0-dev
+        ,librasqal3-dev
+        ,librdf0-dev
+        ,librsvg2-dev
+        ,libwv-dev
+        ,libx11-dev
+        ,libxslt-dev | libxslt1-dev
 Description: efficient, featureful word processor with collaboration -- development files
  AbiWord is a full-featured, efficient word processing application.
  It is suitable for a wide variety of word processing tasks, and
