=== debian/rules ===
--- 
+++ 
@@ -21,7 +21,8 @@
 export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow
 $(info DEB_BUILD_MAINT_OPTIONS:$(origin DEB_BUILD_MAINT_OPTIONS)=$(DEB_BUILD_MAINT_OPTIONS))
 
-LDFLAGS+= -Wl,--as-needed
+# minimise needless linking
+export DEB_LDFLAGS_MAINT_APPEND= -Wl,--as-needed
 
 plugins := aiksaurus applix babelfish bmp clarisworks collab command docbook \
 	   eml epub freetranslation garble gdict gimp google grammar hancom \
@@ -45,12 +46,18 @@
 	dh $@ --parallel --with autoreconf
 #	dh $@ --parallel --with autoreconf,gir
 
-CHK_FILES=debian/$(plib).install debian/$(pdev).install
-$(CHK_FILES):
-	@echo "Error: Packaging files are not set up for base library name. Check if \"$@\" exist."
-	exit 1
+override_dh_clean:
+	## adaptive cleaning meant to work for source archive or repository checkout.
+	## clean files only if possible to regenerate
+	[ ! -x "$(which flex)" ] || $(RM) -v plugins/mathview/itex2mml/lex.yy.c
+	[ ! -x "tools/cdump/xp/cdump.pl" ] || $(RM) -v src/wp/ap/xp/ap_wp_sidebar.cpp
+	[ ! -x "./autogen-common.sh" ] || $(RM) -v plugin*.m4 po/*.strings
+	dh_clean
 
-override_dh_autoreconf: $(CHK_FILES)
+override_dh_autoreconf:
+	$(info I: library-name=$(plib))
+	$(if $(wildcard debian/$(plib).install),,$(error invalid package/library name.))
+	$(if $(wildcard debian/$(pdev).install),,$(error invalid dev package/library name.))
 	# make plugins configuration if building from trunk
 	[ ! -x "./autogen-common.sh" ] || ./autogen-common.sh
 	dh_autoreconf -v --as-needed
@@ -60,8 +67,6 @@
 override_dh_auto_configure:
 	# generate icon
 	convert abiword.png -resize 32x32 debian/abiword.xpm
-	# clean file only if possible to regenerate
-	[ ! -x "$(which flex)" ] || $(RM) -v plugins/mathview/itex2mml/lex.yy.c
 	dh_auto_configure -- \
 		--without-gnomevfs \
 		--with-gio \
