## abiword 3.0.1

=== debian/changelog ===
abiword (3.0.1-8build1) yakkety; urgency=medium

  * No-change rebuild for readline soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 17 Sep 2016 11:56:29 +0000

abiword (3.0.1-8) unstable; urgency=medium

  * QA upload.
  * debian/source/options:
    - Drop obsolete xz compression option, this is default since Jessie
  * Build-depend on liblink-grammar-dev instead of liblink-grammar4-dev
  * Backport patches from stable 3.0 branch to build with link-grammar 5:
    - 0011-Bug-13650-Fix-build-with-recent-link-grammar-patch-f.patch
    - 0012-Bug-13726-Fix-Grammar-plugin-build-with-link-grammar.patch
  * debian/control:
    - Mention that the grammar plugin only supports English currently

 -- Jeremy Bicha <jbicha@linux.com>  Thu, 16 Jun 2016 05:47:15 -0400

abiword (3.0.1-7) unstable; urgency=low

  [ Jeremy Bicha ]
  * QA upload.
  * abiword-common.install:
    - Install telepathy client. Fixes Abiword autostarting a blank
      document on log in. Thanks Alban Browaeys for identifying the cause.
      (Closes: #781764) (LP: #1432271)
  * Backport patches from stable 3.0 branch:
    - 0001_export-paragraph-to-odt.patch
    - 0002_svg-printing.patch (Closes: #682668)
    - 0003_null-column-crash.patch
    - 0004_apply-default-header-style.patch
    - 0005_language-dialog-scroll.patch (LP: #1484785)
    - 0006_protect-against-null-string.patch
    - 0007_gtk-image-scaling.patch
    - 0008_do-nothing-with-unchecked-radio-buttons.patch
    - 0009_clean-svg-icon.patch
    - 0010_fix-parallel-build.patch
  * debian/patches/build-with-aiksaurus-1-2.patch:
    - Look for aiksaurus*-1.2.pc (because that's what is provided in Debian)
    - Note that the Aiksaurus plugin is not installed because Aiksaurus
      is still GTK2
  * debian/control: Bump minimum aiksaurus version to match the above patch
  * Drop obsolete packaging:
    - .menu and .xpm files
    - build-dependencies (gtk2, imagemagick and svn)
    - old README.Debian note about abiword-gnome
    - abiword.preinst: defoma is long gone
    - mimeinfo: replaced by MimeType in .desktop
    - Use automatic dbsym packages instead of manual abiword-dbg package
    - Use dh_strip --dbsym-migration and build-depend on required debhelper
  * Re-enable parallel builds on Linux
  * Explicitly build with all hardening flags
  * Bump Standards-Version to 3.9.8

  [ Gianfranco Costamagna ]
  * VCS in secure mode
  * Drop quilt from b-d

 -- Jeremy Bicha <jbicha@linux.com>  Thu, 26 May 2016 19:55:18 -0400

abiword (3.0.1-6) unstable; urgency=medium

  * QA upload.
  * Build-depend on libboost-dev.

 -- Matthias Klose <doko@debian.org>  Thu, 18 Feb 2016 21:18:28 +0100

abiword (3.0.1-5) unstable; urgency=medium

  * QA upload.
  * Fix FTBFS with libpng16 (closes: #809882)
  * Use default gnutls cipher/kx priorities, fixes FTBFS with gnutls30.
  * Fix FTBFS with gcc-6 (closes: #811381)

 -- Adam Borowski <kilobyte@angband.pl>  Sat, 23 Jan 2016 21:21:21 +0100

abiword (3.0.1-4) unstable; urgency=medium

  * QA upload.
  * Stop build mathview plugin: GtkMathView is too old and buggy
    (see bug#785485).

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 01 Aug 2015 21:33:33 +0200

abiword (3.0.1-3) unstable; urgency=medium

  * QA upload.
  * build against libwps 0.4.0 (closes: #788970)

 -- Rene Engelhard <rene@debian.org>  Tue, 16 Jun 2015 20:36:49 +0200

abiword (3.0.1-2) unstable; urgency=medium

  * QA upload.

  [ Dmitry Smirnov ]
  * rules: cleanup: dropped obsolete customisations, get-orig-source,
    etc.

  [ Jonas Smedegaard ]
  * Enable introspection (and instead avoid parallel build so be on the
    safe side: rumored to be incompatible).
    Closes: bug#785688.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 19 May 2015 10:02:43 +0200

abiword (3.0.1-1) experimental; urgency=medium

  * QA upload.
  * New upstream release [December 2014].
  * Dropped obsolete patches and lintian-overrides.
  * Install missing files under "usr/share/abiword-3.0".
  * Changed icon installation path.
  * Updated "debian/copyright".

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 01 Jan 2015 11:03:35 +1100

abiword (3.0.0-8) unstable; urgency=medium

  * QA upload.
  * Apply an upstream patch to fix format painter bug. (Closes: #766845).

 -- Edward Betts <edward@4angle.com>  Thu, 04 Dec 2014 22:00:10 +0000

abiword (3.0.0-7) unstable; urgency=medium

  * Build-Depends: libjpeg8-dev --> libjpeg-dev (Closes: #763464).
    Facilitates transition to "libjpeg-turbo". Thanks, Ondřej Surý.
  * Standards-Version: 3.9.6.
  * Orphaning package.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 02 Oct 2014 19:57:42 +1000

abiword (3.0.0-6) unstable; urgency=medium

  [ Rene Engelhard ]
  * Add "librevenge.patch" (from Fedora 20) to fix build with new
    librevenge/libwp{,g} 0.3 and adapt Build-Depends;
    Add exta dh_autoreconf calls for plugins/wpg and plugins/wordperfect
    dirs so they get generated (and dh_autoreconf_clean).

  [ Dmitry Smirnov ]
  * Added "debian/gbp.conf".
  * Standards-Version to 3.9.5.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 09 Aug 2014 11:14:12 +1000

abiword (3.0.0-5) unstable; urgency=medium

  * Build-Depends: +libgcrypt20-dev.
  * New patch to fix gnutls-related FTBFS (Closes: #754554);
    Thanks, Andreas Metzler.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 24 Jul 2014 03:13:18 +1000
