## abiword 3.0.1-6ubuntu0.16.04.1+8.0trisquel1

=== debian/changelog ===
abiword (3.0.1-6ubuntu0.16.04.1+8.0trisquel1) flidas; urgency=medium

  * Backported into Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 05 Apr 2018 02:46:45 +0000

abiword (3.0.1-6ubuntu0.16.04.1) xenial; urgency=medium

  * abiword-common.install:
    - Install telepathy client. Fixes Abiword autostarting a blank
      document on log in when Empathy is installed and configured
      with Online Accounts. Thanks Alban Browaeys for identifying the cause.
      (LP: #1432271)
  * 0005_language-dialog-scroll.patch:
    - Fix unusable "Set Language" dialog (LP: #1484785)
  * 0009_clean-svg-icon.patch:
    - Fix Abiword high resolution app icon (as used by Unity or GNOME Shell)
      (LP: #1586708)

 -- Jeremy Bicha <jbicha@linux.com>  Fri, 10 Jun 2016 22:58:12 -0400
